Bug 65492 - Get runtime error when trying to run rhn_register
Summary: Get runtime error when trying to run rhn_register
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhn_register   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-25 16:57 UTC by Scott Dowdle
Modified: 2015-01-07 23:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 21:24:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Dowdle 2002-05-25 16:57:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.2 (X11; Linux i686; U;) Gecko/20020510

Description of problem:
Recently upgraded a system from RHL 6.2 to 7.3.  I deleted the original profile
for the machine from RHN and proceeded to run rhn_register on the new system to
register it but received a runtime error.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run rhn_regsiter (on system without the X Window System)
2.Hit next twice
3.runtime error appears


Actual Results:  It crashes with a runtime error.

Expected Results:  It should let me register the system.

Additional info:

Here's the error I got.

Traceback (innermost last):
  File "/usr/sbin/rhn_register", line 226, in ?
    main()
  File "/usr/sbin/rhn_register", line 207, in main
    tui.main()
  File "/usr/share/rhn/register/tui.py", line 1042, in main
    tui.run()
  File "/usr/share/rhn/register/tui.py", line 986, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/register/tui.py", line 138, in __init__
    self.userNameEntry = snack.Entry(20)
  File "/usr/lib/python1.5/site-packages/snack.py", line 142, in __init__
    self.w.scaleSet(amount)
TypeError: function requires exactly 6 arguments; 5 given

- - - -

I removed rhn_register and up2date and reinstalled them a number of times but
got the consistant error.

Comment 1 Martin Flack 2002-09-27 20:44:00 UTC
I'm observing the same behavior today. Red Hat 6.2 -> Red Hat 7.3 upgrade and 
then rhn_register does this. Same trace. Like you I also tried reinstalling 
rhn_register, up2date, and python-xmlrpc to no avail. newt and slang are the 
latest versions and verified (-V) so I don't know what else to try.

Comment 2 Scott Dowdle 2002-09-27 20:53:38 UTC
Well, it is still broken for me and I've been updating that machine (gasp) by
hand with RPM... but I wish I had a solution to this problem. (sigh)

Comment 3 Martin Flack 2002-09-27 23:19:40 UTC
Aha!

Do this:
mv /usr/lib/python1.5/snack.pyc /tmp

It's an old pyc left from 6.x I guess. While it's there, python finds it and 
runs it instead of the new newt files which are now 
under /usr/lib/python1.5/site-packages/.

I'm a little concerned that nobody at RH tested a 6.2->7.3 upgrade followed by 
registration. ;-)


Comment 4 Scott Dowdle 2003-01-23 22:58:52 UTC
Man, here it is Jan. 23rd, 2003... and I'm just now noticing that you posted a
fix back in Sept.  In seconds, it works great.  Somehow I missed the email
Bugzilla must have sent me.  I wonder if Red Hat will fix this bug.  I'm glad
your work-around works!


Note You need to log in before you can comment on or make changes to this bug.